package com.base.core.model.enity;

import org.springframework.beans.BeanUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * The persistent class for the CALL_REQUIRE_VISIBILITY database table.
 * 
 */
/*@Entity
@Table(name="CALL_REQUIRE_VISIBILITY")
@NamedQuery(name="XjCallRequireVisibility.findAll", query="SELECT x FROM XjCallRequireVisibility x")*/
public class XjCallRequireVisibility implements Serializable {
	private static final long serialVersionUID = 1L;


	private String id;


	private Date callTime;


	private String failedReason;

	private String originator;


	private Date planEndTime;


	private Date planStartTime;

	private String remark;


	private String requireId;
	

	private String parentId;
	

	private String userId;
	
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	public String getRequireId() {
		return requireId;
	}

	public void setRequireId(String requireId) {
		this.requireId = requireId;
	}

	private String status;


	private Date updateTime;


	private String batchId;
	

	private String visibilityIds;
	
	//add 20190508 start
	private String satellites;
	  

    private BigDecimal rollAngle;
    

    private String payloads;
	            

	private BigDecimal isRealtimeTrans;
	//add 20190508 end 

	public XjCallRequireVisibility() {
	}
	
	public XjCallRequireVisibility(CallRequireVisibility callRequireVisibility) {
		BeanUtils.copyProperties(callRequireVisibility, this);
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Date getCallTime() {
		return this.callTime;
	}

	public void setCallTime(Date callTime) {
		this.callTime = callTime;
	}

	public String getFailedReason() {
		return this.failedReason;
	}

	public void setFailedReason(String failedReason) {
		this.failedReason = failedReason;
	}

	public String getOriginator() {
		return this.originator;
	}

	public void setOriginator(String originator) {
		this.originator = originator;
	}

	public Date getPlanEndTime() {
		return this.planEndTime;
	}

	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}

	public Date getPlanStartTime() {
		return this.planStartTime;
	}

	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	
	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getVisibilityIds() {
		return this.visibilityIds;
	}

	public void setVisibilityIds(String visibilityIds) {
		this.visibilityIds = visibilityIds;
	}
	
	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getSatellites() {
		return satellites;
	}

	public void setSatellites(String satellites) {
		this.satellites = satellites;
	}

	public BigDecimal getRollAngle() {
		return rollAngle;
	}

	public void setRollAngle(BigDecimal rollAngle) {
		this.rollAngle = rollAngle;
	}

	public String getPayloads() {
		return payloads;
	}

	public void setPayloads(String payloads) {
		this.payloads = payloads;
	}

	public BigDecimal getIsRealtimeTrans() {
		return isRealtimeTrans;
	}

	public void setIsRealtimeTrans(BigDecimal isRealtimeTrans) {
		this.isRealtimeTrans = isRealtimeTrans;
	}

}